package com.xintong.visualinspection.visuallnspection_qzd.dao;

import com.xintong.visualinspection.bean.FwqScore;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * 文件名：UserInfoDao
 * 版本信息：日期：2017/3/30 Copyright 江苏省交通规划设计院 Corporation 2017 版权所有.
 */
@Mapper
public interface ScoreDao  {
    public List<FwqScore> getAll();
    public FwqScore getOne(Long id);
    public List<FwqScore> getScoreList(FwqScore score);
    public List<FwqScore> getScoreListByTaskId(Long task_id);
    public void insert(FwqScore score);
    public void update(FwqScore score);
    public void updateByTaskIdAndPerson(FwqScore score);
    public void delete(Long id);
    public List<FwqScore> getTopRemarkList(Map<String, Object> param);
    public void updateFormerScore(FwqScore score);
    public void updateNowScore(FwqScore score);
}
